import { IconAlignLeft } from '@tabler/icons-react';

import ActionButton from '../components/ActionButton';
import { useTextArea } from '../context';

const AlignLeft = ({ title }: { title: string }) => {
  const { editor } = useTextArea();

  if (!editor) {
    return null;
  }

  return (
    <ActionButton
      title={title}
      icon={<IconAlignLeft />}
      onClick={() => editor.chain().focus().toggleTextAlign('left').run()}
      isActive={editor.isActive({ textAlign: 'left' })}
    />
  );
};

export default AlignLeft;
